package com.iamberry.wechat.face.coupon;

import com.iamberry.wechat.core.entity.coupon.SalesActivities;

import java.util.List;

/**
 *  活动表接口
 * @author Administrator
 * @Date 2018-11-30
 */
public interface SalesActivitiesService {
    /**
     * 获取集合
     * @param  salesActivities
     * @return List
     */
    List<SalesActivities> getSalesActivitiesList(SalesActivities  salesActivities);
    /**
     * 查询单条数据
     * @param  id
     * @return  salesActivities
     */
    SalesActivities  getSalesActivitiesById(Integer  id);
    /**
     * 增加数据
     * @param  salesActivities
     * @return Integer
     */
    Integer  save(SalesActivities  salesActivities);
    /**
     * 修改数据
     * @param  salesActivities
     * @return Integer
     */
    Integer  update(SalesActivities  salesActivities);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}